"""Package interfaces
"""

from zope.interface import Interface
from zope import schema

from icnews.acquire import ICNewsAquireMessageFactory as _

class IAdqnews(Interface):
    """Acquire news content type"""

    title = schema.TextLine(title=_('Title'), required=True)
    description = schema.Text(title=_('Description'), required=True)
    source = schema.URI(title=_(u"Source"), required=True)
    re = schema.Text(title=_(u'Regular Expresion'))
    encoding = schema.BytesLine(title=_('Encoding'))


class IRSS2Feed(Interface):
    """Present object as a RSS2 file"""
